---
layout: doc
title: SystemDoc
permalink: /doc/SystemDoc/
redirect_from: /wiki/SystemDoc/
---

System Documentation for Developers
===================================

1.  Fundamentals:
    1.  Qubes OS Architecture v0.3 [​(pdf)](http://files.qubes-os.org/files/doc/arch-spec-0.3.pdf) (The original 2009 document that started this all...)
    2.  [Security-critical elements of Qubes OS](/wiki/SecurityCriticalCode)
    3.  Qubes RPC framework (qrexec):
        1.  [The Qubes RPC/Service API](/wiki/Qrexec)
        2.  Example for writing a qrexec service in Qubes OS [​blog post](http://theinvisiblethings.blogspot.com/2013/02/converting-untrusted-pdfs-into-trusted.html)
        3.  [qrexec implementation in Qubes R2](/wiki/Qrexec2Implementation)
        4.  [qrexec implementation in Qubes R3/Odyssey](/wiki/Qrexec3Implementation)

    4.  [Qubes GUI virtualization protocol](/wiki/GUIdocs)
    5.  [Networking in Qubes](/wiki/QubesNet)
    6.  [Implementation of template sharing and updating](/wiki/TemplateImplementation)

2.  Services:
    1.  [Inter-domain file copying](/wiki/Qfilecopy)
    2.  [Dynamic memory management in Qubes](/wiki/Qmemman)
    3.  [Implementation of DisposableVMs](/wiki/DVMimpl)
    4.  [​Article about disposable VMs](http://theinvisiblethings.blogspot.com/2010/06/disposable-vms.html)
    5.  [Dom0 secure update mechanism](/wiki/Dom0SecureUpdates)
    6.  [VM secure update mechanism?](/wiki/VMSecureUpdates)

3.  Debugging:
    1.  [Profiling python code](/wiki/Profiling)
    2.  [Test environment in separate machine for automatic tests](/wiki/TestBench)
    3.  [VM-dom0 internal configuration interface](/wiki/SystemDoc/VMInterface)
    4.  [Debugging Windows VMs](/wiki/WindowsDebugging)

4.  Building:
    1.  [Building Qubes](/wiki/QubesBuilder)
    2.  [Development Workflow](/wiki/DevelopmentWorkflow)
    3.  [KDE Dom0 packages for Qubes](/wiki/KdeDom0)
    4.  [How to build Qubes installation ISO](/wiki/InstallationIsoBuilding)
    5.  [Building USB passthrough support (experimental)](/wiki/USBVM)
    6.  [Building a TemplateVM based on a new OS (ArchLinux example)](/wiki/BuildingNonFedoraTemplate)
    7.  [Building the Archlinux Template](/wiki/BuildingArchlinuxTemplate)


