---
layout: doc
title: UserDoc
permalink: /doc/UserDoc/
redirect_from: /wiki/UserDoc/
---

Qubes User Documentation
========================

1.  **Basic Reading**
    1.  [Getting Started](/wiki/GettingStarted/)
    2.  [Security Guidelines](/wiki/SecurityGuidelines/)
    3.  [Glossary of Qubes Terminology](/wiki/Glossary/)

2.  **Dom0**
    1.  [Dom0 Command-Line Tools](/wiki/DomZeroTools/)
    2.  [Updating Software in dom0](/wiki/SoftwareUpdateDom0/)
    3.  [Copying Files to and from dom0](/wiki/CopyToDomZero/)
    4.  [Backup, Restoration, and Migration](/wiki/BackupRestore/)
    5.  [Qubes Policy for InterVM Services](/wiki/Qrexec/#qubes-services-rpc-policy)
    6.  Advanced Topics
        1.  [Installing Anti Evil Maid](/wiki/AntiEvilMaid/)
        2.  [XFCE Installation in dom0](/wiki/UserDoc/XFCE/)
        3.  [Installing ZFS in Qubes](/wiki/ZFS/)

3.  **DomUs**
    1.  [DomU Command-Line Tools](/wiki/VmTools/)
    2.  **Intra-VM Actions**
        1.  [Enabling Fullscreen Mode](/wiki/FullScreenMode/)
        2.  [Managing Application Shortcuts](/wiki/ManagingAppVmShortcuts/)

    3.  **Inter-VM Actions**
        1.  [Copying and Pasting Text Between Domains](/wiki/CopyPaste/)
        2.  [Copying and Moving Files Between Domains](/wiki/CopyingFiles/)
        3.  [Using GPG more securely in Qubes: Split GPG tutorial](/wiki/UserDoc/SplitGpg/)

    4.  **NetVMs and ProxyVMs**
        1.  [Understanding Qubes Firewall](/wiki/QubesFirewall/)
        2.  [Understanding and Preventing Data Leaks](/wiki/DataLeaks/)
        3.  [How to Install a Transparent Tor ProxyVM (TorVM)](/wiki/UserDoc/TorVM/)
        4.  [How to set up a ProxyVM as a VPN Gateway](/wiki/VPN/)
        5.  [Adding Bridge Support to the NetVM (EXPERIMENTAL)](/wiki/NetworkBridgeSupport/)
        6.  External Links
            1.  [​Creating Custom NetVMs and ProxyVMs](http://theinvisiblethings.blogspot.com/2011/09/playing-with-qubes-networking-for-fun.html)
            2.  [​How to run TorBrowser using external tor proxy (from TorVM)](https://groups.google.com/group/qubes-devel/msg/34f67194d3422bfa)
            3.  [​How to make proxy for individual tcp connection from networkless VM](https://groups.google.com/group/qubes-devel/msg/4ca950ab6d7cd11a)
            4.  [​HTTP filtering proxy in Qubes firewall VM](https://groups.google.com/group/qubes-devel/browse_thread/thread/5252bc3f6ed4b43e/d881deb5afaa2a6c#39c95d63fccca12b)

    5.  **[TemplateVMs](/doc/Templates/)**
        1.  [Updating and Installing Software in VMs](/wiki/SoftwareUpdateVM/)
        2.  [Templates: Fedora - minimal](/wiki/Templates/FedoraMinimal/)
        3.  [Templates: Debian](/wiki/Templates/Debian/)
        4.  External Links
            1.  [​Extending \`root.img\` Size](https://groups.google.com/group/qubes-devel/msg/9d1ac581236ca9b4)

    6.  **DispVMs**
        1.  [Disposable VMs](/wiki/DisposableVms/)
        2.  [DispVM Customization](/wiki/UserDoc/DispVMCustomization/)

    7.  **HVMs**
        1.  [Resizing AppVM and HVM Disk Images](/wiki/ResizeDiskImage/)
        2.  [Tips for Using Linux in an HVM](/wiki/LinuxHVMTips/)
        3.  [Creating and Using HVM and Windows Domains (Qubes R2 Only)](/wiki/HvmCreate/)
        4.  External Links
            1.  [​Creating Whonix HVMs in Qubes](https://www.whonix.org/wiki/Qubes)
            2.  [​Creating NetBSD VM](https://groups.google.com/group/qubes-devel/msg/4015c8900a813985)

    8.  **Windows VMs**
        1.  [Installing and Using Windows-based AppVMs (Qubes R2 Beta 3 and Later)](/wiki/WindowsAppVms/)
        2.  [Advanced options and troubleshooting of Qubes Tools for Windows](/wiki/WindowsTools/)

    9.  Advanced Topics
        1.  [Configuration files](/wiki/UserDoc/ConfigFiles/)
        2.  [Qubes service framework](/wiki/QubesService/)
        3.  [Note regarding password-less root access in VM](/wiki/VMSudo/)

4.  **Applications**
    1.  [Languages](/wiki/LanguageLocalization/)

5.  **Hardware**
    1.  [How to Mount USB Sticks to AppVMs](/wiki/StickMounting/)
    2.  [Where are my external storage devices mounted?](/wiki/ExternalDeviceMountPoint/)
    3.  [Assigning PCI Devices to AppVMs](/wiki/AssigningDevices/)
    4.  [Enabling TRIM for SSD disks](/wiki/DiskTRIM/)
    5.  [Configuring a Network Printer](/wiki/NetworkPrinter/)
    6.  [Using External Audio Devices](/wiki/ExternalAudio/)
    7.  Vendor-specific
        1.  [How to install an Nvidia driver in dom0](/wiki/InstallNvidiaDriver/)
        2.  [Getting Sony Vaio Z laptop to work with Qubes](/wiki/SonyVaioTinkering/)

    8.  External Links
        1.  [​Installing on system with new AMD GPU (missing firmware problem)](https://groups.google.com/group/qubes-devel/browse_thread/thread/e27a57b0eda62f76)
        2.  [​Solving problems with Macbook Air 2012](https://groups.google.com/group/qubes-devel/browse_thread/thread/b8b0d819d2a4fc39/d50a72449107ab21#8a9268c09d105e69)
        3.  [​Booting with GRUB2 and GPT](https://groups.google.com/group/qubes-devel/browse_thread/thread/e4ac093cabd37d2b/d5090c20d92c4128#d5090c20d92c4128)


